import { SimpleLocalClient } from '../../core/index.js';
import type { IDsmrReaderConfig } from './dsmr_reader.types.js';
import { dsmrReaderProfile } from './dsmr_reader.types.js';

export class DsmrReaderClient extends SimpleLocalClient<IDsmrReaderConfig> {
  constructor(configArg: IDsmrReaderConfig) {
    super(dsmrReaderProfile, configArg);
  }
}
